## org.eclipse.emf.ecore.resource
Interface URIConverter.Readable

All Known Implementing Classes:
  URIConverter.ReadableInputStream

Enclosing interface:
  URIConverter

    public static interface URIConverter.Readable

An interface that is optionally implemented by the input streams returned from `URIConverter.createInputStream(URI)`.

See Also:
  `URIConverter.ReadableInputStream`

Method Summary
`java.io.Reader` `asReader()` Returns a reader that provides access to the same underlying data as the input stream itself.
`java.lang.String` `getEncoding()` Returns the encoding used to convert the reader's characters to bytes.

Method Detail

### asReader

    java.io.Reader asReader()

  Returns a reader that provides access to the same underlying data as the input stream itself.

  Returns:
    a reader that provides access to the same underlying data as the input stream itself.

### getEncoding

    java.lang.String getEncoding()

  Returns the encoding used to convert the reader's characters to bytes.

  Returns:
    the encoding used to convert the reader's characters to bytes.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.